<template>
  <!-- 进度条组件 -->
  <div class="progress-box" :style="{ height: strokeWidth + 'px' }">
    <div
      v-if="showBlock"
      class="the-block"
      :style="{ left: percentage + '%', width: strokeWidth + 2 + 'px', height: strokeWidth + 2 + 'px' }"
    ></div>
    <div :style="{ background: color, width: percentage + '%' }" class="bar"></div>
  </div>
</template>

<script>
export default {
  props: {
    // 进度条颜色
    color: {
      type: String,
      default: '#000',
    },
    // 当前进度
    percentage: {
      type: Number,
      default: 100,
    },
    // 进度条宽度
    strokeWidth: {
      type: Number,
      default: 10,
    },
    // 是否显示滑块ui
    showBlock: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.progress-box {
  background-color: rgba(208, 222, 238, 0.1);
  border-radius: 100px;
  position: relative;
  .bar {
    height: 100%;
    border-radius: 100px;
  }

  .the-block {
    border-radius: 50%;
    background-color: #ffffff;
    box-shadow: 0px 0px 4px 0px #efd48e;
    position: absolute;
    top: 50%;
    transform: translate(-5%, -50%);
  }
}
</style>
